Package org.kapott.hbci.passport

## Class HBCIPassportRAH10

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.HBCIPassportRAH10

All Implemented Interfaces:
  `java.io.Serializable`, `FileBasedPassport`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

    public class HBCIPassportRAH10
    extends AbstractHBCIPassport
    implements InitLetterPassport, FileBasedPassport

Implementierung des Passports fuer RAH10-Schluesseldateien.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `PARAM_PREFIX` Der Prefix fuer die Parametrisierung via HBCIUtils.setParam.

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`HBCIPassportRAH10​(java.lang.Object initObject)` ct.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `decrypt​(byte[] cryptedKey, byte[] encryptedMsg)`
`byte[][]` `encrypt​(byte[] plainMsg)`
`HBCIKey[][]` `generateNewUserKeys()`
`Comm` `getCommInstance()`
`java.lang.String` `getCryptAlg()`
`java.lang.String` `getCryptFunction()`
`java.lang.String` `getCryptKeyType()`
`java.lang.String` `getCryptMode()`
`java.lang.String` `getFilename()` Liefert den Dateinamen der Schluesseldatei.
`java.lang.String` `getHashAlg()`
`HBCIKey` `getInstEncKey()`
`java.lang.String` `getInstEncKeyName()`
`java.lang.String` `getInstEncKeyNum()`
`java.lang.String` `getInstEncKeyVersion()`
`HBCIKey` `getInstSigKey()`
`java.lang.String` `getInstSigKeyName()`
`java.lang.String` `getInstSigKeyNum()`
`java.lang.String` `getInstSigKeyVersion()`
`java.lang.String` `getMyEncKeyName()`
`java.lang.String` `getMyEncKeyNum()`
`java.lang.String` `getMyEncKeyVersion()`
`HBCIKey` `getMyPrivateDigKey()`
`HBCIKey` `getMyPrivateEncKey()`
`HBCIKey` `getMyPrivateSigKey()`
`HBCIKey` `getMyPublicDigKey()`
`HBCIKey` `getMyPublicEncKey()`
`HBCIKey` `getMyPublicSigKey()`
`java.lang.String` `getMySigKeyName()`
`java.lang.String` `getMySigKeyNum()`
`java.lang.String` `getMySigKeyVersion()`
`java.lang.String` `getPassportTypeName()`
`java.lang.String` `getProfileMethod()`
`java.lang.String` `getProfileVersion()`
`java.lang.String` `getSigAlg()`
`java.lang.String` `getSigFunction()`
`java.lang.String` `getSigMode()`
`SignatureParamSpec` `getSignatureParamSpec()` Liefert die Signatur-Spec.
`java.lang.String` `getSysStatus()`
`byte[]` `hash​(byte[] data)`
`boolean` `hasInstEncKey()`
`boolean` `hasInstSigKey()`
`boolean` `hasMyEncKey()`
`boolean` `hasMySigKey()`
`boolean` `isSupported()`
`boolean` `needInstKeys()`
`boolean` `needUserKeys()`
`boolean` `needUserSig()`
`void` `resetPassphrase()`
`void` `saveChanges()` Speichern der Änderungen an den Passport-Daten.
`void` `setInstEncKey​(HBCIKey key)`
`void` `setInstSigKey​(HBCIKey key)`
`void` `setMyPrivateDigKey​(HBCIKey key)`
`void` `setMyPrivateEncKey​(HBCIKey key)`
`void` `setMyPrivateSigKey​(HBCIKey key)`
`void` `setMyPublicDigKey​(HBCIKey key)`
`void` `setMyPublicEncKey​(HBCIKey key)`
`void` `setMyPublicSigKey​(HBCIKey key)`
`byte[]` `sign​(byte[] data)`
`boolean` `verify​(byte[] data, byte[] sig)`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onDialogEvent, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_PREFIX

    public static final java.lang.String PARAM_PREFIX

Der Prefix fuer die Parametrisierung via HBCIUtils.setParam.

See Also:
  Constant Field Values

### Constructor Detail

#### HBCIPassportRAH10

    public HBCIPassportRAH10​(java.lang.Object initObject)

ct.

Parameters:
  `initObject` -

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Description copied from interface: `FileBasedPassport`
Liefert den Dateinamen der Schluesseldatei.

Specified by:
  `getFilename` in interface `FileBasedPassport`
Returns:
  der Dateiname der Schluesseldatei.
See Also:
  `FileBasedPassport.getFilename()`

#### saveChanges

    public void saveChanges()

Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

Specified by:
  `saveChanges` in interface `HBCIPassport`
See Also:
  `HBCIPassport.saveChanges()`

#### getPassportTypeName

    public java.lang.String getPassportTypeName()

Specified by:
  `getPassportTypeName` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getPassportTypeName()`

#### getProfileMethod

    public java.lang.String getProfileMethod()

Specified by:
  `getProfileMethod` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getProfileMethod()`

#### getProfileVersion

    public java.lang.String getProfileVersion()

Specified by:
  `getProfileVersion` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getProfileVersion()`

#### resetPassphrase

    public void resetPassphrase()

Specified by:
  `resetPassphrase` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.resetPassphrase()`

#### getSysStatus

    public java.lang.String getSysStatus()

Specified by:
  `getSysStatus` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getSysStatus()`

#### needUserSig

    public boolean needUserSig()

Specified by:
  `needUserSig` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.needUserSig()`

#### setInstSigKey

    public void setInstSigKey​(HBCIKey key)

Specified by:
  `setInstSigKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setInstSigKey(org.kapott.hbci.manager.HBCIKey)`

#### setInstEncKey

    public void setInstEncKey​(HBCIKey key)

Specified by:
  `setInstEncKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setInstEncKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPublicSigKey

    public void setMyPublicSigKey​(HBCIKey key)

Specified by:
  `setMyPublicSigKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPublicSigKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPrivateSigKey

    public void setMyPrivateSigKey​(HBCIKey key)

Specified by:
  `setMyPrivateSigKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPrivateSigKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPublicEncKey

    public void setMyPublicEncKey​(HBCIKey key)

Specified by:
  `setMyPublicEncKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPublicEncKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPrivateEncKey

    public void setMyPrivateEncKey​(HBCIKey key)

Specified by:
  `setMyPrivateEncKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPrivateEncKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPublicDigKey

    public void setMyPublicDigKey​(HBCIKey key)

Specified by:
  `setMyPublicDigKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPublicDigKey(org.kapott.hbci.manager.HBCIKey)`

#### setMyPrivateDigKey

    public void setMyPrivateDigKey​(HBCIKey key)

Specified by:
  `setMyPrivateDigKey` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.setMyPrivateDigKey(org.kapott.hbci.manager.HBCIKey)`

#### getInstSigKeyName

    public java.lang.String getInstSigKeyName()

Specified by:
  `getInstSigKeyName` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstSigKeyName()`

#### getInstSigKeyNum

    public java.lang.String getInstSigKeyNum()

Specified by:
  `getInstSigKeyNum` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstSigKeyNum()`

#### getInstSigKeyVersion

    public java.lang.String getInstSigKeyVersion()

Specified by:
  `getInstSigKeyVersion` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstSigKeyVersion()`

#### getInstEncKeyName

    public java.lang.String getInstEncKeyName()

Specified by:
  `getInstEncKeyName` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstEncKeyName()`

#### getInstEncKeyNum

    public java.lang.String getInstEncKeyNum()

Specified by:
  `getInstEncKeyNum` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstEncKeyNum()`

#### getInstEncKeyVersion

    public java.lang.String getInstEncKeyVersion()

Specified by:
  `getInstEncKeyVersion` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getInstEncKeyVersion()`

#### getMySigKeyName

    public java.lang.String getMySigKeyName()

Specified by:
  `getMySigKeyName` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMySigKeyName()`

#### getMySigKeyNum

    public java.lang.String getMySigKeyNum()

Specified by:
  `getMySigKeyNum` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMySigKeyNum()`

#### getMySigKeyVersion

    public java.lang.String getMySigKeyVersion()

Specified by:
  `getMySigKeyVersion` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMySigKeyVersion()`

#### getMyEncKeyName

    public java.lang.String getMyEncKeyName()

Specified by:
  `getMyEncKeyName` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMyEncKeyName()`

#### getMyEncKeyNum

    public java.lang.String getMyEncKeyNum()

Specified by:
  `getMyEncKeyNum` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMyEncKeyNum()`

#### getMyEncKeyVersion

    public java.lang.String getMyEncKeyVersion()

Specified by:
  `getMyEncKeyVersion` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getMyEncKeyVersion()`

#### getCryptKeyType

    public java.lang.String getCryptKeyType()

Specified by:
  `getCryptKeyType` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getCryptKeyType()`

#### getCryptFunction

    public java.lang.String getCryptFunction()

Specified by:
  `getCryptFunction` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getCryptFunction()`

#### getCryptAlg

    public java.lang.String getCryptAlg()

Specified by:
  `getCryptAlg` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getCryptAlg()`

#### getCryptMode

    public java.lang.String getCryptMode()

Specified by:
  `getCryptMode` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getCryptMode()`

#### getSigFunction

    public java.lang.String getSigFunction()

Specified by:
  `getSigFunction` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getSigFunction()`

#### getSigAlg

    public java.lang.String getSigAlg()

Specified by:
  `getSigAlg` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getSigAlg()`

#### getSigMode

    public java.lang.String getSigMode()

Specified by:
  `getSigMode` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getSigMode()`

#### getHashAlg

    public java.lang.String getHashAlg()

Specified by:
  `getHashAlg` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.getHashAlg()`

#### hash

    public byte[] hash​(byte[] data)

Specified by:
  `hash` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.hash(byte[])`

#### sign

    public byte[] sign​(byte[] data)

Specified by:
  `sign` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.sign(byte[])`

#### verify

    public boolean verify​(byte[] data,
                          byte[] sig)

Specified by:
  `verify` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.verify(byte[], byte[])`

#### encrypt

    public byte[][] encrypt​(byte[] plainMsg)

Specified by:
  `encrypt` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.encrypt(byte[])`

#### decrypt

    public byte[] decrypt​(byte[] cryptedKey,
                          byte[] encryptedMsg)

Specified by:
  `decrypt` in interface `HBCIPassportInternal`
See Also:
  `HBCIPassportInternal.decrypt(byte[], byte[])`

#### generateNewUserKeys

    public HBCIKey[][] generateNewUserKeys()

Specified by:
  `generateNewUserKeys` in interface `HBCIPassportInternal`
Overrides:
  `generateNewUserKeys` in class `AbstractHBCIPassport`
See Also:
  `AbstractHBCIPassport.generateNewUserKeys()`

#### getSignatureParamSpec

    public SignatureParamSpec getSignatureParamSpec()

Description copied from interface: `InitLetterPassport`
Liefert die Signatur-Spec.

Specified by:
  `getSignatureParamSpec` in interface `InitLetterPassport`
Returns:
  die Signatur-Spec.
See Also:
  `InitLetterPassport.getSignatureParamSpec()`

#### isSupported

    public boolean isSupported()

Specified by:
  `isSupported` in interface `HBCIPassport`
See Also:
  `HBCIPassport.isSupported()`

#### needInstKeys

    public boolean needInstKeys()

Specified by:
  `needInstKeys` in interface `HBCIPassport`
See Also:
  `HBCIPassport.needInstKeys()`

#### needUserKeys

    public boolean needUserKeys()

Specified by:
  `needUserKeys` in interface `HBCIPassport`
See Also:
  `HBCIPassport.needUserKeys()`

#### hasInstSigKey

    public boolean hasInstSigKey()

Specified by:
  `hasInstSigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.hasInstSigKey()`

#### hasInstEncKey

    public boolean hasInstEncKey()

Specified by:
  `hasInstEncKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.hasInstEncKey()`

#### hasMySigKey

    public boolean hasMySigKey()

Specified by:
  `hasMySigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.hasMySigKey()`

#### hasMyEncKey

    public boolean hasMyEncKey()

Specified by:
  `hasMyEncKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.hasMyEncKey()`

#### getMyPublicSigKey

    public HBCIKey getMyPublicSigKey()

Specified by:
  `getMyPublicSigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPublicSigKey()`

#### getMyPublicEncKey

    public HBCIKey getMyPublicEncKey()

Specified by:
  `getMyPublicEncKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPublicEncKey()`

#### getMyPublicDigKey

    public HBCIKey getMyPublicDigKey()

Specified by:
  `getMyPublicDigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPublicDigKey()`

#### getMyPrivateSigKey

    public HBCIKey getMyPrivateSigKey()

Specified by:
  `getMyPrivateSigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPrivateSigKey()`

#### getMyPrivateEncKey

    public HBCIKey getMyPrivateEncKey()

Specified by:
  `getMyPrivateEncKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPrivateEncKey()`

#### getMyPrivateDigKey

    public HBCIKey getMyPrivateDigKey()

Specified by:
  `getMyPrivateDigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getMyPrivateDigKey()`

#### getInstSigKey

    public HBCIKey getInstSigKey()

Specified by:
  `getInstSigKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getInstSigKey()`

#### getInstEncKey

    public HBCIKey getInstEncKey()

Specified by:
  `getInstEncKey` in interface `HBCIPassport`
See Also:
  `HBCIPassport.getInstEncKey()`

#### getCommInstance

    public Comm getCommInstance()

Specified by:
  `getCommInstance` in class `AbstractHBCIPassport`
See Also:
  `AbstractHBCIPassport.getCommInstance()`